Package: org.apache.groovy.ginq.dsl.expression

## [Java] Class GroupExpression

- org.apache.groovy.ginq.dsl.expression.GroupExpression

-     public class GroupExpression
      extends ProcessExpression

  Represents group by expression

  Since:
    4.0.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Expression` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroupExpression(Expression classifierExpr)` Creates a `groupby` clause.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<R>` | `public R` | `accept(GinqAstVisitor<R> visitor)` Accepts a visitor for this clause.
    `` | `public Expression` | `getClassifierExpr()` Returns the grouping classifier.
    `` | `public HavingExpression` | `getHavingExpression()` Returns the optional `having` clause.
    `` | `public String` | `getIntoAlias()` Returns the `into` alias.
    `` | `public String` | `getText()` Returns the textual GINQ form of this clause.
    `` | `public void` | `setHavingExpression(HavingExpression havingExpression)` Sets the optional `having` clause.
    `` | `public void` | `setIntoAlias(String intoAlias)` Sets the `into` alias.
    `` | `public String` | `toString()` Returns the textual form of this clause.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ProcessExpression` | `getDataSourceExpression, setDataSourceExpression`
    `class AbstractGinqExpression` | `accept, transformExpression, visit`
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public GroupExpression(Expression classifierExpr)

      Creates a `groupby` clause.

      Parameters:
        `classifierExpr` - the grouping classifier

  - ### Method Detail

    - #### <R> public R accept(GinqAstVisitor<R> visitor)

      Accepts a visitor for this clause.

      Parameters:
        `visitor` - the visitor to accept
      Type Parameters:
        `R` - the visit result type
      Returns:
        the visit result

    - #### public Expression getClassifierExpr()

      Returns the grouping classifier.

      Returns:
        the grouping classifier

    - #### public HavingExpression getHavingExpression()

      Returns the optional `having` clause.

      Returns:
        the `having` clause, or `null`

    - #### public String getIntoAlias()

      Returns the `into` alias.

      Returns:
        the alias, or `null`
      Since:
        6.0.0

    - #### public String getText()

      Returns the textual GINQ form of this clause.

      Returns:
        the clause text

    - #### public void setHavingExpression(HavingExpression havingExpression)

      Sets the optional `having` clause.

      Parameters:
        `havingExpression` - the clause to set

    - #### public void setIntoAlias(String intoAlias)

      Sets the `into` alias.

      Parameters:
        `intoAlias` - the alias to set
      Since:
        6.0.0

    - #### public String toString()

      Returns the textual form of this clause.

      Returns:
        the clause text